var sea_ground, boat, mew_big, mew_small, bubble, bubble_shade, btn_orange, btn_pink, btn_green, btn_violet, btn_red, aboutUsBtn, shark, blackBoard, blackBoardCloseBtn, titleGeometry, titleLaw, titleQuantity, titleUnit, titleSpecial, titleAbout;
var buttonWidth = isRetinaDisplay ? 290 : 199; //定义按钮的宽度，依据是否为retina屏幕判断以加载不同的值
var buttonBaseY = 0;
var buttonEverySpace = 0;
var buttonRightX = 0; //初始化时右侧按钮的X坐标值
var buutonCloseStep = isRetinaDisplay ? 15 : 20; //关闭按钮时屏幕两侧所留有的宽度
var buuttonLeftCloseX = 0;
var aboutUsBtnHeight = isRetinaDisplay ? 80 : 55;
var aboutUsBtnX = isRetinaDisplay ? 10 : 10;
var aboutUsBtnY = 0;
var boatY = isRetinaDisplay ? 40 : 45;
var boatWidth = isRetinaDisplay ? 70 : 90;
var sharkBetween = 0;
var sharkWidth = 0;
var blackBoardEndY = 0;
var blackBoardStartY = 0;
var blackBoardCloseBtnStartX = 0;
var blackBoardCloseBtnEndX = 0;
var titleEndX = 0;
var titleHeight = 0;
var titleStartX = 0;

function createCollieDisplayObj() {
	//定义头部海洋显示对象
	var sea_ground_height = isRetinaDisplay ? 256 : 156;
	var sea_ground_width = isRetinaDisplay ? 1098 : 669;
	sea_ground = new collie.DisplayObject({
		x: 0,
		width: sea_ground_width * 3,
		height: sea_ground_height,
		velocityX: 30,
		backgroundRepeat: "repeat-x",
		rangeX: [-sea_ground_width, 0],
		positionRepeat: true,
		backgroundImage: "sea_ground"
	});
	//定义头部轮船显示对象
	var boatHeight = isRetinaDisplay ? 60 : 87;
	var boatX = (screenWidth / 2) - (boatWidth / 2);
	boat = new collie.DisplayObject({
		x: boatX,
		y: -80,
		width: boatWidth,
		height: boatHeight,
		backgroundImage: "boat"
	});
	//定义大海鸥显示对象
	var mewBigWidth = isRetinaDisplay ? 37 : 37;
	var mewBigHeight = isRetinaDisplay ? 31 : 16;
	var mewBigX = -(isRetinaDisplay ? 40 : 37);
	var mewBigY = isRetinaDisplay ? 16 : 16;

	mew_big = new collie.DisplayObject({
		x: mewBigX,
		y: mewBigY,
		width: mewBigWidth,
		height: mewBigHeight,
		backgroundImage: "mew"
	});
	//定义小海鸥显示对象
	var mewSmallWidth = isRetinaDisplay ? 29 : 73;
	var mewSmallHeight = isRetinaDisplay ? 12 : 31;
	var mewSmallX = -(isRetinaDisplay ? 90 : 180);
	var mewSmallY = isRetinaDisplay ? 55 : 65;

	mew_small = new collie.DisplayObject({
		x: mewSmallX,
		y: mewSmallY,
		width: mewSmallWidth,
		height: mewSmallHeight,
		backgroundImage: "mew_small"
	});
	//定义海里气泡显示对象
	var bubbleWidth = isRetinaDisplay ? 401 : 268;
	var bubbleHalfWidth = isRetinaDisplay ? 200 : 134;
	var bubbleHeight = isRetinaDisplay ? 466 : 311;
	var bubbleX = isRetinaDisplay ? (screenWidth / 2 - bubbleHalfWidth / 2) : (screenWidth / 2 - bubbleHalfWidth);
	var bubble_shade_Y = isRetinaDisplay ? 126 : 148;
	bubble = new collie.MovableObject({
		x: bubbleX,
		width: bubbleWidth,
		height: (bubbleHeight < screenHeight) ? screenHeight * 2 : bubbleHeight * 2,
		backgroundImage: "bubble",
		velocityY: -25,
		backgroundRepeat: "repeat-y",
		rangeY: [-bubbleHeight, 0],
		positionRepeat: true
	}).bottom(0);
	bubble_shade = new collie.DisplayObject({
		y: bubble_shade_Y,
		width: screenWidth,
		height: 17,
		backgroundImage: "bubble_shade",
		backgroundRepeat: "repeat-x"
	});
	//定义主界面按钮
	//关于我们按钮常量定义
	var aboutUsBtnWidth = isRetinaDisplay ? 80 : 55;
	var buttonHeight = isRetinaDisplay ? 80 : 55; //定义按钮的高度，依据是否为retina屏幕判断以加载不同的值
	buttonBaseY = isRetinaDisplay ? (sea_ground_height / 2 + 12) : (sea_ground_height + 12); //定义第一个按钮初始化的Y轴值，该值以海面动画场景的高度作为参考值
	buttonEverySpace = isRetinaDisplay ? (screenHeight - sea_ground_height / 2 - aboutUsBtnHeight) / 5 : (screenHeight - 256 - aboutUsBtnHeight * 2) / 5; //定义每个按钮抛去头部海洋以及底部设置按钮占用空间之后的每个按钮所处高度
	buttonRightX = isRetinaDisplay ? (screenWidth - (buttonWidth / 2)) : (screenWidth - buttonWidth); //初始化时右侧按钮的X坐标值
	buuttonLeftCloseX = isRetinaDisplay ? -(buttonWidth / 2 - buutonCloseStep) : -(buttonWidth - buutonCloseStep);
	var butttonBetween = isRetinaDisplay ? (buttonEverySpace - buttonHeight / 2) / 2 : (buttonEverySpace - aboutUsBtnHeight) / 2; //定义每一个按钮在空间内单个间距
	aboutUsBtnY = isRetinaDisplay ? (screenHeight - aboutUsBtnHeight / 2 - aboutUsBtnX) : (screenHeight - aboutUsBtnHeight - aboutUsBtnX);
	btn_orange = new collie.DisplayObject({
		x: screenWidth,
		y: buttonBaseY + butttonBetween,
		width: buttonWidth,
		height: buttonHeight,
		backgroundImage: "btn_orange"
	});
	btn_pink = new collie.DisplayObject({
		x: isRetinaDisplay ? -buttonWidth / 2 : -buttonWidth,
		y: buttonBaseY + buttonEverySpace + butttonBetween,
		width: buttonWidth,
		height: buttonHeight,
		backgroundImage: "btn_pink"
	});
	btn_green = new collie.DisplayObject({
		x: screenWidth,
		y: buttonBaseY + buttonEverySpace * 2 + butttonBetween,
		width: buttonWidth,
		height: buttonHeight,
		backgroundImage: "btn_green"
	});
	btn_violet = new collie.DisplayObject({
		x: isRetinaDisplay ? -buttonWidth / 2 : -buttonWidth,
		y: buttonBaseY + buttonEverySpace * 3 + butttonBetween,
		width: buttonWidth,
		height: buttonHeight,
		backgroundImage: "btn_violet"
	});
	btn_red = new collie.DisplayObject({
		x: screenWidth,
		y: buttonBaseY + buttonEverySpace * 4 + butttonBetween,
		width: buttonWidth,
		height: buttonHeight,
		backgroundImage: "btn_red"
	});
	//关于我们按钮定义
	aboutUsBtn = new collie.MovableObject({
		x: aboutUsBtnX,
		y: screenHeight,
		velocityRotate: -180,
		backgroundImage: "aboutUsBtn"
	});
	//海中鲨鱼定义
	var sharkRepeatTimes = 0;
	sharkWidth = isRetinaDisplay ? 40 : 55;
	var sharkHeight = isRetinaDisplay ? 32 : 44;
	sharkBetween = isRetinaDisplay ? (buttonEverySpace - sharkHeight) / 2 : (buttonEverySpace - sharkHeight) / 2; //定义每一个按钮在空间内单个间距
	shark = new collie.DisplayObject({
		x: -sharkWidth,
		y: buttonBaseY + sharkBetween,
		width: sharkWidth,
		height: sharkHeight,
		backgroundImage: "shark_right"
	});
	//黑板定义
	var blackBoarWidth = isRetinaDisplay ? 580 : 420;
	var blackBoarHeight = isRetinaDisplay ? 816 : 591;
	var blackBoardX = isRetinaDisplay ? (screenWidth / 2) - (blackBoarWidth / 4) : (screenWidth / 2) - (blackBoarWidth / 2);
	blackBoardStartY = isRetinaDisplay ? screenHeight : screenHeight;
	blackBoardEndY = isRetinaDisplay ? (screenHeight - blackBoarHeight / 2) / 2 : (screenHeight - blackBoarHeight) / 2;
	blackBoard = new collie.DisplayObject({
		x: blackBoardX,
		y: blackBoardStartY,
		width: blackBoarWidth,
		height: blackBoarHeight,
		backgroundImage: "blackBoard"
	});
	//定义关闭按钮相关常量
	var blackBoardCloseBtnWidth = isRetinaDisplay ? 44 : 29;
	var blackBoardCloseBtnHeight = isRetinaDisplay ? 45 : 29;
	var blackBoardCloseBtnY = isRetinaDisplay ? (blackBoardEndY + 16) : (blackBoardEndY + 18);
	blackBoardCloseBtnStartX = isRetinaDisplay ? (blackBoardX + blackBoarWidth / 3) : (blackBoardX + blackBoarWidth / 2);
	blackBoardCloseBtnEndX = isRetinaDisplay ? (blackBoardX + blackBoarWidth / 2 - 34) : (blackBoardX + blackBoarWidth - blackBoardCloseBtnWidth - 15);
	blackBoardCloseBtn = new collie.DisplayObject({
		x: blackBoardCloseBtnStartX,
		y: blackBoardCloseBtnY,
		width: blackBoardCloseBtnWidth,
		height: blackBoardCloseBtnHeight,
		backgroundImage: "blackBoardCloseBtn"
	});
	blackBoardCloseBtn.set("visible", false);
	//定义黑板标题相关常量
	var titleWidth = isRetinaDisplay ? 340 : 255;
	titleHeight = isRetinaDisplay ? 48 : 36;
	var titleY = isRetinaDisplay ? (blackBoardEndY + 16) : (blackBoardEndY + 16);
	titleStartX = isRetinaDisplay ? (blackBoardX + 12) : (blackBoardX + 12);
	titleEndX = isRetinaDisplay ? (screenWidth / 2 - titleWidth / 4) : (screenWidth / 2 - titleWidth / 2);
	titleGeometry = new collie.DisplayObject({
		x: titleStartX,
		y: titleY,
		width: titleWidth,
		height: titleHeight,
		backgroundImage: "titleGeometry"
	});
	titleGeometry.set("visible", false);
	titleLaw = new collie.DisplayObject({
		x: titleStartX,
		y: titleY,
		width: titleWidth,
		height: titleHeight,
		backgroundImage: "titleLaw"
	});
	titleLaw.set("visible", false);
	titleQuantity = new collie.DisplayObject({
		x: titleStartX,
		y: titleY,
		width: titleWidth,
		height: titleHeight,
		backgroundImage: "titleQuantity"
	});
	titleQuantity.set("visible", false);
	titleUnit = new collie.DisplayObject({
		x: titleStartX,
		y: titleY,
		width: titleWidth,
		height: titleHeight,
		backgroundImage: "titleUnit"
	});
	titleUnit.set("visible", false);
	titleSpecial = new collie.DisplayObject({
		x: titleStartX,
		y: titleY,
		width: titleWidth,
		height: titleHeight,
		backgroundImage: "titleSpecial"
	});
	titleSpecial.set("visible", false);
	titleAbout = new collie.DisplayObject({
		x: titleStartX,
		y: titleY,
		width: titleWidth,
		height: titleHeight,
		backgroundImage: "titleAbout"
	});
	titleAbout.set("visible", false);
}