var shares = null;
sharecontent = null,
	pic = null;
// H5 plus事件处理
function plusReady() {
	if (shares || !window.plus) {
		return;
	}
	// 扩展API加载完毕，现在可以正常调用扩展API
	updateServices();
}
if (window.plus) {
	plusReady();
} else {
	document.addEventListener("plusready", plusReady, false);
}
// DOMContentLoaded事件处理
document.addEventListener("DOMContentLoaded", function() {
	plusReady();
}, false);
/**
 * 更新分享列表
 */
var shareWeixinObj = null;
var shareWeiboObj = null;

function updateServices() {
		plus.share.getServices(function(ss) {
			shares = ss;
			for (var i in ss) {
				if (ss[i].id == "weixin") {
					shareWeixinObj = ss[i];
				}
				if (ss[i].id == "sinaweibo") {
					shareWeiboObj = ss[i];
				}
			}
		}, function(e) {
			alert("获取分享服务列表失败：" + e.message);
		});
	}
	/**
	 * 分享操作
	 * @param {plus.share.ShareService} s
	 */

function shareWeibo() {
	shareAction(shareWeiboObj, "WXSceneSession");
}

function shareAction(s, ex) {
	if (!s) {
		alert("无效的分享服务！");
		return;
	}
	if (s.authenticated) {
		//---已授权---
		shareMessage(s, ex);
	} else {
		//---未授权---
		s.authorize(function() {
			shareMessage(s, ex);
		}, function(e) {
			if (e.code != "14") {
				alert("认证授权失败：" + e.code + " - " + e.message);
			}
		});
	}
}

function shareWeiXin() {
		plus.ui.confirm("微信分享", function(i) {
			switch (i) {
				case 0:
					shareAction(shareWeixinObj, "WXSceneSession");
					break;
				case 1:
					shareAction(shareWeixinObj, "WXSceneTimeline");
					break;
				default:
					break;
			}
		}, "", ["分享到好友", "分享到朋友圈", "取消"]);
	}
	/**
	 * 发送分享消息
	 * @param {plus.share.ShareService} s
	 */

function shareMessage(s, ex) {
	if (s.id == "weixin") {
		sharecontent = "我正在使用《小学数学公式大全》，全动画式界面，美观灵动，非常适合孩子使用，大家赶紧试试啊！各大应用商店有售，请搜索小学数学公式大全即可下载。IOS版下载地址：同步推以及91手机助手，Android版下载地址：豌豆荚、百度手机助手、91手机助手、安卓市场、360手机助手以及小米应用商店。";
	}
	if (s.id == "sinaweibo") {
		sharecontent = "我正在使用《小学数学公式大全》，全动画式界面，美观灵动，非常适合孩子使用，大家赶紧试试啊！各大应用商店有售，请搜索小学数学公式大全即可下载。";
	}
	var msg = {
		content: sharecontent,
		extra: {
			scene: ex
		}
	};
	if (pic && pic.realUrl) {
		msg.pictures = [pic.realUrl];
	}
	s.send(msg, function() {
		//TODO:回调函数，实现分享成功显示！
		//alert("分享到\"" + s.description + "\"成功！ ");
	}, function(e) {
		alert("分享到\"" + s.description + "\"失败: " + e.code + " - " + e.message);
	});
}